/**
 * Copyright (C) 2006-2007  NTT DATA CORPORATION
 * 
 * Version: 1.0.0 2007/04/01
 *  
 */
package net.cellcomputing.himawari.accessory.primitive;

/**
 *
 * 参照渡しを実現するためだけに作成されたクラス
 * 
 * @author NTT DATA Corporation
 */
public strictfp class p_String {

    /**
     * String型の実体
     */
	//高速化
    //public String value;
    public String value = "";
    
	/**
	 * コンストラクタ。デフォルト値は0
	 */
    public p_String(){
        value = "";
    }
    
    /**
     * 初期値を与えるコンストラクタ
     * @param str 初期値
     */
    public p_String(String str){
        value = str;
    }
    
    /* (non-Javadoc)
     * @see java.lang.Object#toString()
     */
    @Override
    public String toString() {
    	return value;
    }
}
